000020000 - ClearTrust: How to correct SISC errors during the 4.7.1 to 5.0 Schema/Data Upgrade for Active Directory

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000020000
Applies ToRSA ClearTrust 5.0
Microsoft Windows 2000
Microsoft Windows NT 4.0
IssueClearTrust: How to correct SISC errors during the 4.7.1 to 5.0 Schema/Data Upgrade for Active Directory
Different SISC errors appear when running the ctupy command, e.g. "Exception in thread "main" java.lang.ClassCastException: sisc.modules.S2J$JavaObject"
CauseClearTrust 4.6.1 was originally installed in the machine. This version of ClearTrust installed an older Java Runtime Environment not fully compatible with ClearTrust 5.0 (JRE)
ResolutionTo correct this issue, remove all references to older JREs from Sun as follows:

1. Uninstall the existing Sun JRE using Start Menu -> Settings -> Control Panel -> Add/Remove Programs

2. Delete the "\Program Files\JavaSoft" subdirectory from the file system

3. Run "regedit" (Start Menu -> Run -> regedit)

4. Delete the hive "\HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft" with all its contents

5. Install JRE 1.3.1_06 available from Java 2 Platform, Standard Edition (J2SE)

6. Set the %CT_ROOT% environment variable using the following command:

        "SET CT_ROOT=X:\Program Files\RSA\ClearTrust"
        Replace X: with the unit letter where ClearTrust was installed.

7. Copy the following files from the ClearTrust 5.0 Installation CD-ROM into the same subdirectory as the "ctupy" program:

        a. upgrade-ad-schema.bat
        b. ad-upgrade.ldif

NOTE: The above files are located in:

        a. For Windows:        \Windows\data_adapters\ldap\ActiveDir
        a. For Solaris:        \Solaris\data_adapters\ldap\ActiveDir

8. Run the "ctupy" program again
Legacy Article IDa13845

Attachments

    Outcomes